LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
TableBorderDistances Struct Referencepublished

contains the distance settings of the border lines of all cells in a cell range. More...

`import"TableBorderDistances.idl";`

## Public Attributes
short | TopDistance
| contains the distance between the top lines and other contents. More...
boolean | IsTopDistanceValid
| specifies whether the value of TableBorder::TopDistance is used. More...
short | BottomDistance
| contains the distance between the bottom lines and other contents. More...
boolean | IsBottomDistanceValid
| specifies whether the value of TableBorder::BottomDistance is used. More...
short | LeftDistance
| contains the distance between the left lines and other contents. More...
boolean | IsLeftDistanceValid
| specifies whether the value of TableBorder::LeftDistance is used. More...
short | RightDistance
| contains the distance between the right lines and other contents. More...
boolean | IsRightDistanceValid
| specifies whether the value of TableBorder::RightDistance is used. More...

## Detailed Description

contains the distance settings of the border lines of all cells in a cell range.

In a queried structure, the flags in TableBorderDistances::Is...DistanceValid indicate that not all lines of the boxes have the same values.

In a structure which is used for setting, these flags determine if the corresponding distance should be set or if the old value should be kept.

## Member Data Documentation

short BottomDistance

contains the distance between the bottom lines and other contents.

boolean IsBottomDistanceValid

specifies whether the value of TableBorder::BottomDistance is used.

boolean IsLeftDistanceValid

specifies whether the value of TableBorder::LeftDistance is used.

boolean IsRightDistanceValid

specifies whether the value of TableBorder::RightDistance is used.

boolean IsTopDistanceValid

specifies whether the value of TableBorder::TopDistance is used.

short LeftDistance

contains the distance between the left lines and other contents.

short RightDistance

contains the distance between the right lines and other contents.

short TopDistance

contains the distance between the top lines and other contents.

The documentation for this struct was generated from the following file:

- com/sun/star/table/TableBorderDistances.idl